%define		_modname	selinux
%define		_status		devel
Summary:	SELinux binding for PHP script language
Summary(pl.UTF-8):	Dowiązania PHP do SELinuksa
Name:		php-pecl-%{_modname}
Version:	0.3.1
Release:	5
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	54857a8908e199113d128b8a652f5121
URL:		http://pecl.php.net/package/selinux/
BuildRequires:	libselinux-devel >= 2.0.80
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides a set of interfaces to communicate between
SELinux and PHP script language. It contains functions to get/set
security context of processes and other objects, to get/set system
booleans, to make a query for in-kernel security server and so on.

In PECL status of this extension is: %{_status}.

%description -l pl.UTF-8
Rozszerzenie to udostępnia zestaw interfejsów do komunikacji pomiędzy
PHP a SELinuksem. Zawiera między innymi funkcje do pobierania /
ustawiania kontekstów bezpieczeństwa procesów czy innych obiektów,
wartości logicznych, odpytywania wbudowanego w kernel wserwera
bezpieczeństwa itp.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
mv %{_modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 51f0fcb
- use php(core) as dependency to require php version
- release 4 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 72a345b
- release 4 (by relup.sh)

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 08b2c76
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 84eb0bf
- release 2

* Fri May 01 2009 amateja <amateja@pld-linux.org> b76198c
- updated to 0.3.1
- specified BR libselinux-devel version - 2.0.80

* Mon Mar 16 2009 duddits <duddits@pld-linux.org> ecd1602
- up to 0.2.1

* Fri Mar 06 2009 Adam Gołębiowski <adamg@pld-linux.org> 17a6f4e
- new

